data-default-0.5.3: A class for types with a default value

Safe Haskell | None
Language | Haskell98

Data.Default

Synopsis

- class Default a where
  - def :: a

# Documentation

This module defines a class for types with a default value. Instances are provided for '()', `Set`, `Map`, `Int`, `Integer`, `Float`, `Double`, and many others (see below).

class Default a where

A class for types with a default value.

Methods

def :: a

The default value for this type.